aboutsummaryrefslogtreecommitdiff
path: root/test-scenarios
diff options
context:
space:
mode:
Diffstat (limited to 'test-scenarios')
-rw-r--r--test-scenarios/install_additional_node.sh17
-rw-r--r--test-scenarios/scenarios.json9
2 files changed, 26 insertions, 0 deletions
diff --git a/test-scenarios/install_additional_node.sh b/test-scenarios/install_additional_node.sh
new file mode 100644
index 0000000..83dae86
--- /dev/null
+++ b/test-scenarios/install_additional_node.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+# 'latest' is some version of node 18 for a while.
+check "version_on_path" node -v | grep 18
+
+check "v18_installed" ls -1 /usr/local/share/nvm/versions/node | grep 18
+check "v14_installed" ls -1 /usr/local/share/nvm/versions/node | grep 14.19.3
+check "v17_installed" ls -1 /usr/local/share/nvm/versions/node | grep 17.9.1
+
+
+# Report result
+reportResults
diff --git a/test-scenarios/scenarios.json b/test-scenarios/scenarios.json
index 5f594df..2c17057 100644
--- a/test-scenarios/scenarios.json
+++ b/test-scenarios/scenarios.json
@@ -12,6 +12,15 @@
}
}
},
+ "install_additional_node": {
+ "image": "debian:11",
+ "features": {
+ "node": {
+ "version": "latest",
+ "additional_versions": "v17.9.1,v14.19.3"
+ }
+ }
+ },
"install_additional_python": {
"image": "ubuntu:focal",
"features": {